Problem wen Building PHP

Discussion in 'LSWS 4.1 Release' started by sux0r, Apr 6, 2011.

  1. sux0r

    sux0r New Member

    Im getting this error halfway building PHP o_O

    Code:
    /opt/php_with_imap_client//lib/libc-client.a(osdep.o): In function `ssl_onceonlyinit':
    /home/cpeasyapache/src/imap-2007e/c-client/osdep.c:302: warning: the use of `tmpnam' is dangerous, better use `mkstemp'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlParseDocument@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `htmlDocContentDumpOutput@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlValidateQName@LIBXML2_2.5.4'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlNewTextLen@LIBXML2_2.4.30'
    `xmlOutputBufferCreateFile@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlParserGetDirectory@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlBufferCreate@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlXPathInit@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlUTF8Strpos@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlStrncmp@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlGenericErrorContext@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathNodeLeadingSorted@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlModuleOpen@LIBXML2_2.6.17'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathCastNodeToString@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathNewFloat@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlNewComment@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlFreeDtd@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlNewCDataBlock@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlHashAddEntry@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathRegisterNs@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlFreeNode@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlXPathNsLookup@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlDictFree@LIBXML2_2.6.0'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlDictQLookup@LIBXML2_2.6.0'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlURIEscapeStr@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlMutexLock@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `htmlNewDoc@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlNodeGetContent@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlXPathConvertNumber@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `htmlDocContentDumpFormatOutput@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlHashUpdateEntry2@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlMutexUnlock@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlXPathErr@LIBXML2_2.6.0'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathCastStringToNumber@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlNodeGetBase@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlIsExtenderGroup@LIBXML2_2.6.0'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlStrchr@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlNewChild@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlHasNsProp@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlXPathFreeContext@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlModuleClose@LIBXML2_2.6.17'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathCastNumberToString@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathFreeObject@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPatherror@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlSearchNs@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlNewDocNode@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlBuildURI@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlMalloc@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlFreeURI@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlXPathRegisterFunc@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlXPathNextPrecedingSibling@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlHashLookup@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathFreeCompExpr@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathCompile@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathIsInf@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlNewDocText@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathPopNodeSet@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlXPathCompiledEvalToBoolean@LIBXML2_2.6.27'
    /opt/xslt/lib/libexslt.so: undefined reference to `valuePush@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathIsNaN@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlStrsub@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathWrapExternal@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlDictReference@LIBXML2_2.6.0'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlIsCombiningGroup@LIBXML2_2.6.0'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlGetNsProp@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlFreeNodeList@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathNodeSetSort@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlStrcasecmp@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathCompiledEval@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlXPathNewContext@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlXPathDebugDumpObject@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlUTF8Size@LIBXML2_2.5.9'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlDictLookup@LIBXML2_2.6.0'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlStrcat@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathIntersection@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlNewNsProp@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlXPtrEval@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathNewNodeSet@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlHashFree@LIBXML2_2.4.30'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlUTF8Strlen@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlModuleSymbol@LIBXML2_2.6.17'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlXPathWrapNodeSet@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlValidateNCName@LIBXML2_2.5.4'
    /opt/xslt/lib/libexslt.so: undefined reference to `xmlHashCreate@LIBXML2_2.4.30'
    /opt/xslt/lib/libxslt.so: undefined reference to `xmlXPathNewString@LIBXML2_2.4.30'
    make: *** [sapi/litespeed/php] Error 1
    **ERROR** Could not compile PHP
  2. NiteWave

    NiteWave Administrator

  3. webizen

    webizen New Member

    You should enable EasyApache Integration in LSWS plugin and then run EasyApache.

  4. sux0r

    sux0r New Member

    I tried reinstalling libxml2 and tried running a PHP build again and still got the error.


    I did tht too. But eAccelerator doesnt work after tht.
    My php.ini doesnt read the changes i make to the eAccelerator bit o_O


    Btw im getting this in the logs frequently.
    Code:
    Remove pid: 16115
    2011-04-06 03:16:44.629 [STDERR] lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by lsphp5)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by /opt/xslt/lib/libexslt.so.0)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by /opt/xslt/lib/libexslt.so.0)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
    lsphp5: /opt/xml2/lib/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
    Last edited: Apr 7, 2011
  5. webizen

    webizen New Member

    For cPanel, it is recommanded to enable EA Integration and run EasyApache which should get rid of the message below:

    Can you be more specific about eAccelerator issue?
  6. sux0r

    sux0r New Member

    the problem with libxml started wen i did a cpanel upgrade from (EDGE)
    WHM 11.28 to 11.29.
    I couldnt run a phpbuild from litespeed so i enable EA intergration and ran an update.

    After i ran the update i cant seem to enable eAccelerator.
    PHP.ini bit is fine too.

    Zend Engine v2.3.0, Copyright (c) 1998-2011 Zend Technologies
    with the ionCube PHP Loader v3.3.20, Copyright (c) 2002-2010, by ionCube Ltd., and
    with eAccelerator v0.9.6.1, Copyright (c) 2004-2010 eAccelerator, by eAccelerator

    but in the phpinfo page everything is set to false.
    PHP is running in suEXEC o_O

Share This Page